hpp-corbaserver: hpp::corbaServer::impl::Robot Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::corbaServer::impl::Robot Class Reference

Implementation of corba interface hpp::Robot. More...

`#include <robot.impl.hh>`

Inheritance diagram for hpp::corbaServer::impl::Robot:
[legend]
Collaboration diagram for hpp::corbaServer::impl::Robot:
[legend]

## Public Member Functions
| Robot ()
void | setServer (ServerPlugin *server)
virtual void | createRobot (const char *robotName)
virtual void | loadRobotModel (const char *robotName, const char *rootJointType, const char *urdfName, const char *srdfName)
virtual void | loadHumanoidModel (const char *robotName, const char *rootJointType, const char *urdfName, const char *srdfName)
virtual void | loadRobotModelFromString (const char *robotName, const char *rootJointType, const char *urdfString, const char *srdfString)
virtual void | loadHumanoidModelFromString (const char *robotName, const char *rootJointType, const char *urdfString, const char *srdfString)
virtual char * | getRobotName ()
virtual Long | getConfigSize ()
virtual Long | getNumberDof ()
virtual void | appendJoint (const char *parentName, const char *jointName, const char *jointType, const Transform_ pos)
virtual Names_t * | getJointNames ()
virtual Names_t * | getJointTypes ()
virtual Names_t * | getAllJointNames ()
virtual Names_t * | getChildJointNames (const char *jointName)
virtual char * | getParentJointName (const char *jointName)
virtual hpp::floatSeq * | getJointConfig (const char *jointName)
virtual void | setJointConfig (const char *jointName, const floatSeq &cfg)
virtual char * | getJointType (const char *jointName)
virtual floatSeq * | jointIntegrate (const floatSeq &jointCfg, const char *jointName, const floatSeq &dq, bool saturate)
virtual hpp::floatSeqSeq * | getCurrentTransformation (const char *jointName)
virtual Transform__slice * | getJointPositionInParentFrame (const char *jointName)
virtual Transform__slice * | getJointPosition (const char *jointName)
virtual TransformSeq * | getJointsPosition (const floatSeq &q, const Names_t &jointNames)
virtual floatSeq * | getJointVelocity (const char *jointName)
virtual floatSeq * | getJointVelocityInLocalFrame (const char *jointName)
virtual Transform__slice * | getRootJointPosition ()
virtual void | setRootJointPosition (const Transform_ position)
virtual void | setJointPositionInParentFrame (const char *jointName, const Transform_ position)
virtual Long | getJointNumberDof (const char *jointName)
virtual Long | getJointConfigSize (const char *jointName)
virtual hpp::floatSeq * | getJointBounds (const char *jointName)
virtual void | setJointBounds (const char *jointName, const hpp::floatSeq &jointBound)
virtual Transform__slice * | getLinkPosition (const char *linkName)
virtual TransformSeq * | getLinksPosition (const floatSeq &q, const Names_t &linkName)
virtual Names_t * | getLinkNames (const char *jointName)
virtual void | setDimensionExtraConfigSpace (ULong dimension)
virtual ULong | getDimensionExtraConfigSpace ()
virtual void | setExtraConfigSpaceBounds (const hpp::floatSeq &bounds)
virtual void | setCurrentConfig (const hpp::floatSeq &dofArray)
virtual hpp::floatSeq * | shootRandomConfig ()
virtual hpp::floatSeq * | getCurrentConfig ()
virtual void | setCurrentVelocity (const hpp::floatSeq &qDot)
virtual hpp::floatSeq * | getCurrentVelocity ()
virtual Names_t * | getJointInnerObjects (const char *bodyName)
virtual Names_t * | getJointOuterObjects (const char *bodyName)
virtual void | getObjectPosition (const char *objectName, Transform_ cfg)
virtual void | isConfigValid (const hpp::floatSeq &dofArray, Boolean &validity, CORBA::String_out report)
virtual void | distancesToCollision (hpp::floatSeq_out distances, Names_t_out innerObjects, Names_t_out outerObjects, hpp::floatSeqSeq_out innerPoints, hpp::floatSeqSeq_out outerPoints)
virtual void | autocollisionCheck (hpp::boolSeq_out collide)
virtual void | autocollisionPairs (Names_t_out innerObjects, Names_t_out outerObjects, boolSeq_out active)
virtual void | setAutoCollision (const char *innerObject, const char *outerObject, bool active)
virtual Double | getMass ()
virtual hpp::floatSeq * | getCenterOfMass ()
virtual hpp::floatSeq * | getCenterOfMassVelocity ()
virtual hpp::floatSeqSeq * | getJacobianCenterOfMass ()
virtual void | createPolyhedron (const char *polyhedronName)
virtual void | createBox (const char *name, Double x, Double y, Double z)
virtual void | createSphere (const char *name, Double radius)
virtual void | createCylinder (const char *name, Double radius, Double length)
virtual ULong | addPoint (const char *polyhedronName, Double x, Double y, Double z)
virtual ULong | addTriangle (const char *polyhedronName, ULong pt1, ULong pt2, ULong pt3)
virtual void | addObjectToJoint (const char *jointName, const char *objectName, const Transform_ config)
virtual void | addPartialCom (const char *comName, const Names_t &jointNames)
virtual hpp::floatSeq * | getPartialCom (const char *comName)
virtual hpp::floatSeqSeq * | getJacobianPartialCom (const char *comName)
virtual hpp::floatSeq * | getVelocityPartialCom (const char *comName)
hpp::pinocchio_idl::CenterOfMassComputation_ptr | getCenterOfMassComputation (const char *name)
virtual floatSeq * | getRobotAABB ()

## Detailed Description

Implementation of corba interface hpp::Robot.

Robots and obstacles are stored in object core::Planner.

The kinematic part of a robot is stored in a CkppDeviceComponent object (see KineoWorks documentation).

- To each joint is attached a body (CkwsBody).

- Each body contains a list of CkcdObject (derived into CkppKCDPolyhedron).

- A polyhedron is defined by a set of vertices and a set of facets.

Obstacles are stored in collision lists (CkcdCollisionList) composed of polyhedra (CkppKCDPolyhedron).

The construction of a

## Constructor & Destructor Documentation

## ◆ Robot()

hpp::corbaServer::impl::Robot::Robot | ( |  | ) |

## Member Function Documentation

## ◆ addObjectToJoint()

virtual void hpp::corbaServer::impl::Robot::addObjectToJoint | ( | const char * | jointName,
|  | const char * | objectName,
|  | const Transform_ | config
| ) |  |
| virtual

## ◆ addPartialCom()

virtual void hpp::corbaServer::impl::Robot::addPartialCom | ( | const char * | comName,
|  | const Names_t & | jointNames
| ) |  |
| virtual

## ◆ addPoint()

virtual ULong hpp::corbaServer::impl::Robot::addPoint | ( | const char * | polyhedronName,
|  | Double | x,
|  | Double | y,
|  | Double | z
| ) |  |
| virtual

## ◆ addTriangle()

virtual ULong hpp::corbaServer::impl::Robot::addTriangle | ( | const char * | polyhedronName,
|  | ULong | pt1,
|  | ULong | pt2,
|  | ULong | pt3
| ) |  |
| virtual

## ◆ appendJoint()

virtual void hpp::corbaServer::impl::Robot::appendJoint | ( | const char * | parentName,
|  | const char * | jointName,
|  | const char * | jointType,
|  | const Transform_ | pos
| ) |  |
| virtual

## ◆ autocollisionCheck()

virtual void hpp::corbaServer::impl::Robot::autocollisionCheck | ( | hpp::boolSeq_out | collide | ) |
| virtual

## ◆ autocollisionPairs()

virtual void hpp::corbaServer::impl::Robot::autocollisionPairs | ( | Names_t_out | innerObjects,
|  | Names_t_out | outerObjects,
|  | boolSeq_out | active
| ) |  |
| virtual

## ◆ createBox()

virtual void hpp::corbaServer::impl::Robot::createBox | ( | const char * | name,
|  | Double | x,
|  | Double | y,
|  | Double | z
| ) |  |
| virtual

## ◆ createCylinder()

virtual void hpp::corbaServer::impl::Robot::createCylinder | ( | const char * | name,
|  | Double | radius,
|  | Double | length
| ) |  |
| virtual

## ◆ createPolyhedron()

virtual void hpp::corbaServer::impl::Robot::createPolyhedron | ( | const char * | polyhedronName | ) |
| virtual

## ◆ createRobot()

virtual void hpp::corbaServer::impl::Robot::createRobot | ( | const char * | robotName | ) |
| virtual

## ◆ createSphere()

virtual void hpp::corbaServer::impl::Robot::createSphere | ( | const char * | name,
|  | Double | radius
| ) |  |
| virtual

## ◆ distancesToCollision()

virtual void hpp::corbaServer::impl::Robot::distancesToCollision | ( | hpp::floatSeq_out | distances,
|  | Names_t_out | innerObjects,
|  | Names_t_out | outerObjects,
|  | hpp::floatSeqSeq_out | innerPoints,
|  | hpp::floatSeqSeq_out | outerPoints
| ) |  |
| virtual

## ◆ getAllJointNames()

virtual Names_t * hpp::corbaServer::impl::Robot::getAllJointNames | ( |  | ) |
| virtual

## ◆ getCenterOfMass()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::getCenterOfMass | ( |  | ) |
| virtual

## ◆ getCenterOfMassComputation()

hpp::pinocchio_idl::CenterOfMassComputation_ptr hpp::corbaServer::impl::Robot::getCenterOfMassComputation | ( | const char * | name | ) |

## ◆ getCenterOfMassVelocity()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::getCenterOfMassVelocity | ( |  | ) |
| virtual

## ◆ getChildJointNames()

virtual Names_t * hpp::corbaServer::impl::Robot::getChildJointNames | ( | const char * | jointName | ) |
| virtual

## ◆ getConfigSize()

virtual Long hpp::corbaServer::impl::Robot::getConfigSize | ( |  | ) |
| virtual

## ◆ getCurrentConfig()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::getCurrentConfig | ( |  | ) |
| virtual

## ◆ getCurrentTransformation()

virtual hpp::floatSeqSeq * hpp::corbaServer::impl::Robot::getCurrentTransformation | ( | const char * | jointName | ) |
| virtual

## ◆ getCurrentVelocity()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::getCurrentVelocity | ( |  | ) |
| virtual

## ◆ getDimensionExtraConfigSpace()

virtual ULong hpp::corbaServer::impl::Robot::getDimensionExtraConfigSpace | ( |  | ) |
| virtual

## ◆ getJacobianCenterOfMass()

virtual hpp::floatSeqSeq * hpp::corbaServer::impl::Robot::getJacobianCenterOfMass | ( |  | ) |
| virtual

## ◆ getJacobianPartialCom()

virtual hpp::floatSeqSeq * hpp::corbaServer::impl::Robot::getJacobianPartialCom | ( | const char * | comName | ) |
| virtual

## ◆ getJointBounds()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::getJointBounds | ( | const char * | jointName | ) |
| virtual

## ◆ getJointConfig()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::getJointConfig | ( | const char * | jointName | ) |
| virtual

## ◆ getJointConfigSize()

virtual Long hpp::corbaServer::impl::Robot::getJointConfigSize | ( | const char * | jointName | ) |
| virtual

## ◆ getJointInnerObjects()

virtual Names_t * hpp::corbaServer::impl::Robot::getJointInnerObjects | ( | const char * | bodyName | ) |
| virtual

## ◆ getJointNames()

virtual Names_t * hpp::corbaServer::impl::Robot::getJointNames | ( |  | ) |
| virtual

## ◆ getJointNumberDof()

virtual Long hpp::corbaServer::impl::Robot::getJointNumberDof | ( | const char * | jointName | ) |
| virtual

## ◆ getJointOuterObjects()

virtual Names_t * hpp::corbaServer::impl::Robot::getJointOuterObjects | ( | const char * | bodyName | ) |
| virtual

## ◆ getJointPosition()

virtual Transform__slice * hpp::corbaServer::impl::Robot::getJointPosition | ( | const char * | jointName | ) |
| virtual

## ◆ getJointPositionInParentFrame()

virtual Transform__slice * hpp::corbaServer::impl::Robot::getJointPositionInParentFrame | ( | const char * | jointName | ) |
| virtual

## ◆ getJointsPosition()

virtual TransformSeq * hpp::corbaServer::impl::Robot::getJointsPosition | ( | const floatSeq & | q,
|  | const Names_t & | jointNames
| ) |  |
| virtual

## ◆ getJointType()

virtual char * hpp::corbaServer::impl::Robot::getJointType | ( | const char * | jointName | ) |
| virtual

## ◆ getJointTypes()

virtual Names_t * hpp::corbaServer::impl::Robot::getJointTypes | ( |  | ) |
| virtual

## ◆ getJointVelocity()

virtual floatSeq * hpp::corbaServer::impl::Robot::getJointVelocity | ( | const char * | jointName | ) |
| virtual

## ◆ getJointVelocityInLocalFrame()

virtual floatSeq * hpp::corbaServer::impl::Robot::getJointVelocityInLocalFrame | ( | const char * | jointName | ) |
| virtual

## ◆ getLinkNames()

virtual Names_t * hpp::corbaServer::impl::Robot::getLinkNames | ( | const char * | jointName | ) |
| virtual

## ◆ getLinkPosition()

virtual Transform__slice * hpp::corbaServer::impl::Robot::getLinkPosition | ( | const char * | linkName | ) |
| virtual

## ◆ getLinksPosition()

virtual TransformSeq * hpp::corbaServer::impl::Robot::getLinksPosition | ( | const floatSeq & | q,
|  | const Names_t & | linkName
| ) |  |
| virtual

## ◆ getMass()

virtual Double hpp::corbaServer::impl::Robot::getMass | ( |  | ) |
| virtual

## ◆ getNumberDof()

virtual Long hpp::corbaServer::impl::Robot::getNumberDof | ( |  | ) |
| virtual

## ◆ getObjectPosition()

virtual void hpp::corbaServer::impl::Robot::getObjectPosition | ( | const char * | objectName,
|  | Transform_ | cfg
| ) |  |
| virtual

## ◆ getParentJointName()

virtual char * hpp::corbaServer::impl::Robot::getParentJointName | ( | const char * | jointName | ) |
| virtual

## ◆ getPartialCom()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::getPartialCom | ( | const char * | comName | ) |
| virtual

## ◆ getRobotAABB()

virtual floatSeq * hpp::corbaServer::impl::Robot::getRobotAABB | ( |  | ) |
| virtual

## ◆ getRobotName()

virtual char * hpp::corbaServer::impl::Robot::getRobotName | ( |  | ) |
| virtual

## ◆ getRootJointPosition()

virtual Transform__slice * hpp::corbaServer::impl::Robot::getRootJointPosition | ( |  | ) |
| virtual

## ◆ getVelocityPartialCom()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::getVelocityPartialCom | ( | const char * | comName | ) |
| virtual

## ◆ isConfigValid()

virtual void hpp::corbaServer::impl::Robot::isConfigValid | ( | const hpp::floatSeq & | dofArray,
|  | Boolean & | validity,
|  | CORBA::String_out | report
| ) |  |
| virtual

## ◆ jointIntegrate()

virtual floatSeq * hpp::corbaServer::impl::Robot::jointIntegrate | ( | const floatSeq & | jointCfg,
|  | const char * | jointName,
|  | const floatSeq & | dq,
|  | bool | saturate
| ) |  |
| virtual

## ◆ loadHumanoidModel()

virtual void hpp::corbaServer::impl::Robot::loadHumanoidModel | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfName,
|  | const char * | srdfName
| ) |  |
| virtual

## ◆ loadHumanoidModelFromString()

virtual void hpp::corbaServer::impl::Robot::loadHumanoidModelFromString | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfString,
|  | const char * | srdfString
| ) |  |
| virtual

## ◆ loadRobotModel()

virtual void hpp::corbaServer::impl::Robot::loadRobotModel | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfName,
|  | const char * | srdfName
| ) |  |
| virtual

## ◆ loadRobotModelFromString()

virtual void hpp::corbaServer::impl::Robot::loadRobotModelFromString | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfString,
|  | const char * | srdfString
| ) |  |
| virtual

## ◆ setAutoCollision()

virtual void hpp::corbaServer::impl::Robot::setAutoCollision | ( | const char * | innerObject,
|  | const char * | outerObject,
|  | bool | active
| ) |  |
| virtual

## ◆ setCurrentConfig()

virtual void hpp::corbaServer::impl::Robot::setCurrentConfig | ( | const hpp::floatSeq & | dofArray | ) |
| virtual

## ◆ setCurrentVelocity()

virtual void hpp::corbaServer::impl::Robot::setCurrentVelocity | ( | const hpp::floatSeq & | qDot | ) |
| virtual

## ◆ setDimensionExtraConfigSpace()

virtual void hpp::corbaServer::impl::Robot::setDimensionExtraConfigSpace | ( | ULong | dimension | ) |
| virtual

## ◆ setExtraConfigSpaceBounds()

virtual void hpp::corbaServer::impl::Robot::setExtraConfigSpaceBounds | ( | const hpp::floatSeq & | bounds | ) |
| virtual

## ◆ setJointBounds()

virtual void hpp::corbaServer::impl::Robot::setJointBounds | ( | const char * | jointName,
|  | const hpp::floatSeq & | jointBound
| ) |  |
| virtual

## ◆ setJointConfig()

virtual void hpp::corbaServer::impl::Robot::setJointConfig | ( | const char * | jointName,
|  | const floatSeq & | cfg
| ) |  |
| virtual

## ◆ setJointPositionInParentFrame()

virtual void hpp::corbaServer::impl::Robot::setJointPositionInParentFrame | ( | const char * | jointName,
|  | const Transform_ | position
| ) |  |
| virtual

## ◆ setRootJointPosition()

virtual void hpp::corbaServer::impl::Robot::setRootJointPosition | ( | const Transform_ | position | ) |
| virtual

## ◆ setServer()

void hpp::corbaServer::impl::Robot::setServer | ( | ServerPlugin * | server | ) |
| inline

## ◆ shootRandomConfig()

virtual hpp::floatSeq * hpp::corbaServer::impl::Robot::shootRandomConfig | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- src/robot.impl.hh